<template lang="pug">
BaseCard(:title="`Shifts Statistics By User - ${year}`").x-shifts-stats-user
  li(v-if="$butils.isEmpty(stats) && !loading" key='noStats').text-center
    span There are no shifts statistics for operation year {{ year }}
  li(v-else key='results').p-0
    BaseModalLoader(:isLoading="loading")
    .col-12.p-0
      table.table.table-sm.table-hover.text-center.m-0.p-0
        thead.bg-light.table-head
          tr
            th(colspan=2)
            th(colspan=4).border Week
            th(colspan=4).border Week-end
            th(colspan=2).border Total
            th(colspan=2).border Points
          tr
            th Name
            th Institute
            // Week
            th.th-counter.border-left(title="Shift-Leader") L
            th.th-counter(title="Night") N
            th.th-counter(title="Morning") M
            th.th-counter.border-right(title="Afternoon") A
            // Week-end
            th.th-counter.border-left(title="Shift-Leader") L
            th.th-counter(title="Night") N
            th.th-counter(title="Morning") M
            th.th-counter.border-right(title="Afternoon") A
            // Total
            th.border-left Shifts
            th.border-right On-call
            // Points
            th.border-left Shifts
            th On-call
        tbody
          tr(v-for="row in stats")
            template(v-if='user' v-for='user in [ getUser(row.userId) ]')
              template(v-if='row.isSpecialUser')
                td.border-left.text-truncate
                  pre.m-0.p-0 {{ user.lastName }}
                td.border-right
                  pre.m-0.p-0 -
              template(v-else)
                td.border-left.text-truncate(:class="username === user.login ? 'table-info font-weight-bold' : ''")
                  UserLink(:id="user.id" :user="user")
                    tt.m-0.p-0  {{ user | showUserInfo }}
                td.border-right(v-for='inst in [ getInstitute(row.instituteId) ]')
                  InstituteLink(v-if='inst' :id='row.instituteId' :institute='inst')
                    tt.m-0.p-0 {{ inst.alias }}
              // Week
              td.border-left.bg-light(title="Shift-Leader") {{ row.week.L | counter }}
              td(title="Night") {{ row.week.N | counter }}
              td(title="Morning") {{ row.week.M | counter }}
              td.border-right(title="Afternoon") {{ row.week.A | counter }}
              // Weekend
              td.border-left.bg-light(title="Shift-Leader") {{ row.weekend.L | counter }}
              td(title="Night") {{ row.weekend.N | counter }}
              td(title="Morning") {{ row.weekend.M | counter }}
              td.border-right(title="Afternoon") {{ row.weekend.A | counter }}
              // Total
              td.border-left {{ row.total.shifts | counter }}
              td.border-right {{ row.total.oncall | counter }}
              // Points
              td.border-left.font-weight-bold {{ row.points.shifts | counter }}
              td.font-weight-bold {{ row.points.oncall | counter }}
</template>
<script>

export { default } from './ShiftsStatsByUser.vue.js';

</script>

<style lang="scss">
.x-shifts-stats-user {

  .th-counter {
    width: 50px;
  }

}
</style>
